Bug 1249652 - Some notes on "man docker-storage-setup".
Some notes on "man docker-storage-setup".
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: smahajan@redhat.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 09:45 EDT by Robert P. J. Day
Modified: 2016-02-16 15:02 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 15:02:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2015-08-03 09:45:06 EDT
man pages for both "docker" and "docker-storage-setup":

  From "man docker-storage-setup", the note on STORAGE_DRIVER claims that the possible storage driver values are "devicemapper", "overlay" or "", which appears correct (are there any others? What about AUFS?)

  However, the man page for "docker", in the section "EXEC DRIVER OPTIONS", reads:

"Use  the  --exec-opt flags to specify options to the exec-driver. The only driver that accepts this flag is the native (libcontainer) driver. As a result, you must also specify -s=native ..."
                      ^^^^^^^^^

  But as "-s" is the option to select a storage driver, "native" doesn't appear to be a valid choice. Perhaps the author above meant "-e=native"?



  As for the rest of "man docker-storage-setup":

CHUNK_SIZE:
         Controls the chunk size/block size of thin pool. Value of CHUNK_SIZE
         [must?] be suitable ...
          ^^^^^


         "well as some values acceptable to to "lvcreate -l". If user"
                                            ^^


Finally, there is the line:

"The options below should be specified as values acceptable to 'lvextend -L':

but the entire discussion of DATA_SIZE is in terms of "lvcreate", not "lvextend", which might be deliberate, I just thought I'd mention it.

  That should do it.
Comment 1 Robert P. J. Day 2015-08-08 06:57:16 EDT
Upon further examination, aren't there other possible storage driver options? vfs? btrfs? The man page doesn't mention those.
Comment 2 Daniel Walsh 2015-09-28 14:59:56 EDT
Vivek any update
Comment 3 Daniel Walsh 2015-12-01 16:52:33 EST
Sally can you get this fixed in the next few days?
Comment 5 smahajan@redhat.com 2016-01-07 11:23:24 EST
PR Opened upstream.

https://github.com/projectatomic/docker-storage-setup/pull/100
https://github.com/docker/docker/pull/19165

Shishir
Comment 6 smahajan@redhat.com 2016-01-08 11:10:43 EST
PR's merged upstream.

Shishir
Comment 7 Daniel Walsh 2016-01-08 13:23:19 EST
Nice

Note You need to log in before you can comment on or make changes to this bug.